package icontrols.Data;

import com.ms.wd.util.Debug;

public class DataRow {
   private int m_displayIndex = 0;
   private Object m_bookmark = null;

   public String toString() {
      return this.getClass().getName() + "[" + DataProvider.bookmarkToLong(this.m_bookmark) + ", " + this.m_displayIndex + "]";
   }

   protected DataRow(int displayIndex, Object bookmark) {
      Debug.assert(bookmark != null, "DataRow without bookmark!");
      this.m_bookmark = bookmark;
      this.m_displayIndex = displayIndex;
   }

   public Object getBookmark() {
      return this.m_bookmark;
   }

   public int getDisplayIndex() {
      return this.m_displayIndex;
   }
}
